rules:
  # Bronze
  action-setup:
    status: exempt
    comment: |
      No custom actions defined
  appropriate-polling:
    status: exempt
    comment: |
      No polling
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: |
      No custom actions are defined.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup: done
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: |
      No custom actions are defined.
  config-entry-unloading: done
  docs-configuration-parameters: todo
  docs-installation-parameters: todo
  entity-unavailable: todo
  integration-owner: done
  log-when-unavailable: todo
  parallel-updates: todo
  reauthentication-flow: todo
  test-coverage: done

  # Gold
  devices: done
  diagnostics: todo
  discovery-update-info: todo
  discovery: todo
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices:
    status: exempt
    comment: |
      Device type integration
  entity-category: todo
  entity-device-class: todo
  entity-disabled-by-default: todo
  entity-translations: todo
  exception-translations: todo
  icon-translations: todo
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: |
      No repairs
  stale-devices:
    status: exempt
    comment: |
      Device type integration

  # Platinum
  async-dependency: done
  inject-websession:
    status: exempt
    comment: |
      Integration does not make any HTTP requests.
  strict-typing: done
